## mplayer2 2.0-134-g84d8671

=== debian/changelog ===
mplayer2 (2.0-134-g84d8671-2ubuntu0.1) oneiric-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 12 Dec 2012 13:57:36 +0100

mplayer2 (2.0-134-g84d8671-2build1) oneiric; urgency=low

  * Rebuild for libswscale2 soname bump

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jun 2011 20:06:54 +0200

mplayer2 (2.0-134-g84d8671-2) experimental; urgency=low

  * enable runtime-cpudetection only on architectures where it is supported

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jun 2011 18:40:45 +0200

mplayer2 (2.0-134-g84d8671-1) experimental; urgency=low

  * New upstream version
  * Switch to standalone tree
  * Build against system Libav

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Apr 2011 07:28:58 +0200

mplayer2 (2.0-54-gd33877a-1) experimental; urgency=low

  * New upstream version
  * Bug fix: "internal MP3 decoder miscompiles with gcc 4.6", thanks to
    Norbert Preining (Closes: #623279). Fixed by no longer using internal
    mp3lib copy.
  * drop build host specific optimizations

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Apr 2011 09:21:39 +0200

mplayer2 (2.0-1) experimental; urgency=low

  * New upstream release
  * provide, conflict and replace old mplayer1 package
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Apr 2011 18:36:58 +0200

mplayer2 (2.0~rc2-1) experimental; urgency=low

  * Initial release (Closes: #613806)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Mar 2011 22:48:03 +0100
