=== debian/watch ===
version=3
opts=uversionmangle=s/([\d\.]+)-(rc|alpha|beta)([\d\.]*)/$1~$2$3/,\
filenamemangle=s/build-// \
http://ftp.mplayer2.org/pub/release/mplayer2-[^\d]*-(.*)\.tar\.xz
