## mplayer2 2.0-426

=== Makefile ===
--- 
+++ 
@@ -59,28 +59,9 @@
 
 SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
 SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
-SRCS_COMMON-$(FFMPEG)                += libmpcodecs/vf_pp.c \
-                                        av_opts.c \
-                                        libaf/af_lavcac3enc.c \
-                                        libaf/af_lavcresample.c \
-                                        libmpcodecs/ad_ffmpeg.c \
-                                        libmpcodecs/vd_ffmpeg.c \
-                                        libmpcodecs/vf_lavc.c \
-                                        libmpcodecs/vf_lavcdeint.c \
-                                        libmpcodecs/vf_screenshot.c \
-                                        libmpcodecs/vf_uspp.c \
-                                        libmpdemux/demux_lavf.c \
-                                        stream/stream_ffmpeg.c \
-                                        sub/av_sub.c \
-
-# Requires a new enough libavutil that installs eval.h
-SRCS_COMMON-$(FFMPEG_EVAL_API)          += libmpcodecs/vf_geq.c \
 
 # These filters use private headers and do not work with shared libavcodec.
-SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_fspp.c \
-                                        libmpcodecs/vf_geq.c \
-                                        libmpcodecs/vf_mcdeint.c \
-                                        libmpcodecs/vf_qp.c \
+SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_mcdeint.c \
                                         libmpcodecs/vf_spp.c \
 
 SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
@@ -215,3 +196,26 @@
                                         loader/dshow/DS_Filter.c \
                                         loader/dshow/DS_VideoDecoder.c \
                                         loader/dshow/allocator.c \
+                                        loader/dshow/cmediasample.c \
+                                        loader/dshow/graph.c \
+                                        loader/dshow/guids.c \
+                                        loader/dshow/inputpin.c \
+                                        loader/dshow/mediatype.c \
+                                        loader/dshow/outputpin.c \
+                                        loader/dmo/DMO_AudioDecoder.c \
+                                        loader/dmo/DMO_VideoDecoder.c   \
+                                        loader/dmo/buffer.c   \
+                                        loader/dmo/dmo.c  \
+                                        loader/dmo/dmo_guids.c \
+
+SRCS_COMMON-$(XANIM_CODECS)          += libmpcodecs/vd_xanim.c
+SRCS_COMMON-$(XMMS_PLUGINS)          += libmpdemux/demux_xmms.c
+SRCS_COMMON-$(XVID4)                 += libmpcodecs/vd_xvid4.c
+SRCS_COMMON = asxparser.c \
+              av_log.c \
+              av_opts.c \
+              bstr.c \
+              codec-cfg.c \
+              cpudetect.c \
+              defaultopts.c \
+              edl.c \
