## mplayer2 2.0-426-gc32b3ed

=== debian/changelog ===
mplayer2 (2.0-426-gc32b3ed-2ubuntu0.1) precise-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 12 Dec 2012 14:13:19 +0100

mplayer2 (2.0-426-gc32b3ed-2) unstable; urgency=low

  * Upload to unstable
  * don't build-depend on libcdparanoia-dev on the hurd

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Jan 2012 22:59:30 +0100

mplayer2 (2.0-426-gc32b3ed-1) experimental; urgency=low

  * New upstream snapshot.
    - Fixes endless loop with remote files via HTTP, Closes: #648593
  * Imported Upstream version 2.0-426-gc32b3ed
  * Tighten build dependencies on Libav 0.8, Closes: #654219
  * Drop all distro patches, all have been applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Jan 2012 17:57:01 +0100

mplayer2 (2.0-134-g84d8671-9) unstable; urgency=high

  * Bug Fix: "CVE-2011-3625: Buffer overflow in SAMI parsing"
    Thanks to Mehdi Dogguy <mehdi@debian.org> for reporting (Closes: #646937)
  * Bumped urgency for fixing security issue.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Oct 2011 10:38:32 +0200

mplayer2 (2.0-134-g84d8671-8) unstable; urgency=low

  * Fix build failure on sparc after recent binutils change.
  * Avoid any architecture optimization on sparc

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Oct 2011 12:52:04 +0200

mplayer2 (2.0-134-g84d8671-7) unstable; urgency=low

  [ Alessio Treglia ]
  * Set Replaces/Conflicts/Provides field to properly fix file overwrite
    errors (Closes: #640100).

  [ Reinhard Tartler ]
  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Oct 2011 13:26:01 +0200

mplayer2 (2.0-134-g84d8671-6) unstable; urgency=low

  * Drop libsvga support, it's dead upstream (Closes: #640229).

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 10:38:26 +0200

mplayer2 (2.0-134-g84d8671-5) unstable; urgency=low

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Sep 2011 09:12:55 +0200

mplayer2 (2.0-134-g84d8671-4) experimental; urgency=low

  * Enable libbluray support, thanks to Andrea De Pirro for the report.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 12:49:51 +0200

mplayer2 (2.0-134-g84d8671-3) experimental; urgency=low

  * Fix path for system-wide configuration file, Closes: #632575
  * Build against xvidcore
  * Rebuild against new libjpeg, libswscale

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 08 Aug 2011 21:14:55 +0200
