=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 4:0.7~rc1~),
- libavformat-dev (>= 4:0.7~rc1~),
- libavutil-dev (>= 4:0.7~rc1~),
+ libavcodec-dev (>= 4:0.8~),
+ libavformat-dev (>= 4:0.8~),
+ libavutil-dev (>= 4:0.8~),
+ libbluray-dev,
  libcaca-dev,
- libcdparanoia-dev | libcdparanoia0-dev,
+ libcdparanoia-dev [!hurd-i386] | libcdparanoia0-dev [!hurd-i386],
  libdirectfb-dev,
  libdts-dev,
  libdvdnav-dev,
@@ -34,7 +35,7 @@
  libgif-dev,
  libgl1-mesa-dev,
  libjack-dev,
- libjpeg62-dev,
+ libjpeg-dev,
  liblircclient-dev,
  liblivemedia-dev,
  liblzo2-dev,
@@ -42,14 +43,13 @@
  libncurses5-dev,
  libopenal-dev,
  libpng12-dev | libpng-dev,
- libpostproc-dev (>= 4:0.7~rc1~),
+ libpostproc-dev (>= 4:0.8~),
  libpulse-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
  libsmbclient-dev,
  libspeex-dev,
- libsvga1-dev [i386 amd64],
- libswscale-dev (>= 4:0.7~rc1~),
+ libswscale-dev (>= 4:0.8~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -59,6 +59,7 @@
  libxext-dev,
  libxinerama-dev,
  libxv-dev,
+ libxvidcore-dev,
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
@@ -101,6 +102,9 @@
 Architecture: any
 Depends: mplayer2 (= ${binary:Version}),
  ${misc:Depends}
+Replaces: mplayer-dbg
+Conflicts: mplayer-dbg
+Provides: mplayer-dbg
 Description: Debugging symbols for mplayer2
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
  QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
