=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,12 @@
 	CFLAGS += -march=i686
 endif
 
-confflags := --prefix=/usr --enable-translation --enable-debug=3 $(archconf)
+confflags := --prefix=/usr \
+	--confdir=/etc/mplayer \
+	--enable-translation \
+	--disable-svga \
+	--enable-debug=3 \
+	$(archconf)
 
 ifeq ($(DEB_HOST_ARCH),i386)
 #configure optimizes for the cpu detected at ./configure time
